DataConnectorControllerTestDataConnector Method

PUT /DataConnector/Test/ Tests a data connector.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("Test")]
public IActionResult TestDataConnector(
	[FromBodyAttribute] DataConnectorData dataConnectorOptions,
	Guid? sessionId = null
)

Parameters

dataConnectorOptions
Type: Dundas.BI.WebApi.ModelsDataConnectorData
The data that needs to be modified. If ID is not empty, then the specified data connector will be retrieved. If it is empty, then the un-saved data connector given will be used to test.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A status code indicating whether the operation was successful.
See Also